#pragma once

#include "../Participant.h"

namespace RoboidControl {
namespace Windows {

class Participant : public RoboidControl::Participant {
 public:
  void Setup(int localPort, const char* remoteIpAddress, int remotePort);
  void Receive();
  bool Send(RemoteParticipant* remoteParticipant, int bufferSize);
  bool Publish(IMessage* msg);
};

}  // namespace Windows
}  // namespace RoboidControl
